Loading...
Searching...
No Matches
ColorMapMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots

void | getMultiColor ()
void | getWhiteHot ()
void | getBlackHot ()
void | getIncandescent ()
void | getSunset ()
void | getCool ()
void | getOther ()

## Signals

void | whichTrigger (unsigned int which, const int type, const QColor &min_color=QColor(), const QColor &max_color=QColor())

## Public Member Functions

| ColorMapMenu (unsigned int which, QWidget *parent)
| ~ColorMapMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## ColorMapMenu()

ColorMapMenu::ColorMapMenu | ( | unsigned int | which,
|  | QWidget * | parent )

inline

References getBlackHot(), getCool(), getIncandescent(), getMultiColor(), getOther(), getSunset(), and getWhiteHot().

## ~ColorMapMenu()

ColorMapMenu::~ColorMapMenu | ( |  | ) |

inline override

## Member Function Documentation

## getAction()

QAction * ColorMapMenu::getAction | ( | unsigned int | which | ) |

inline

## getBlackHot

void ColorMapMenu::getBlackHot | ( |  | ) |

inline slot

References gr::qtgui::INTENSITY_COLOR_MAP_TYPE_BLACK_HOT, and whichTrigger().

Referenced by ColorMapMenu().

## getCool

void ColorMapMenu::getCool | ( |  | ) |

inline slot

References gr::qtgui::INTENSITY_COLOR_MAP_TYPE_COOL, and whichTrigger().

Referenced by ColorMapMenu().

## getIncandescent

void ColorMapMenu::getIncandescent | ( |  | ) |

inline slot

References gr::qtgui::INTENSITY_COLOR_MAP_TYPE_INCANDESCENT, and whichTrigger().

Referenced by ColorMapMenu().

## getMultiColor

void ColorMapMenu::getMultiColor | ( |  | ) |

inline slot

References gr::qtgui::INTENSITY_COLOR_MAP_TYPE_MULTI_COLOR, and whichTrigger().

Referenced by ColorMapMenu().

## getNumActions()

int ColorMapMenu::getNumActions | ( |  | ) | const

inline

## getOther

void ColorMapMenu::getOther | ( |  | ) |

inline slot

References gr::qtgui::INTENSITY_COLOR_MAP_TYPE_USER_DEFINED, and whichTrigger().

Referenced by ColorMapMenu().

## getSunset

void ColorMapMenu::getSunset | ( |  | ) |

inline slot

References gr::qtgui::INTENSITY_COLOR_MAP_TYPE_SUNSET, and whichTrigger().

Referenced by ColorMapMenu().

## getWhiteHot

void ColorMapMenu::getWhiteHot | ( |  | ) |

inline slot

References gr::qtgui::INTENSITY_COLOR_MAP_TYPE_WHITE_HOT, and whichTrigger().

Referenced by ColorMapMenu().

## whichTrigger

void ColorMapMenu::whichTrigger | ( | unsigned int | which,
|  | const int | type,
|  | const QColor & | min_color = QColor(),
|  | const QColor & | max_color = QColor() )

signal

Referenced by getBlackHot(), getCool(), getIncandescent(), getMultiColor(), getOther(), getSunset(), and getWhiteHot().

The documentation for this class was generated from the following file:

- form_menus.h